summaryrefslogtreecommitdiff
path: root/.config/zsh/purs.zsh
diff options
context:
space:
mode:
Diffstat (limited to '.config/zsh/purs.zsh')
-rw-r--r--.config/zsh/purs.zsh13
1 files changed, 13 insertions, 0 deletions
diff --git a/.config/zsh/purs.zsh b/.config/zsh/purs.zsh
new file mode 100644
index 0000000..ea2103a
--- /dev/null
+++ b/.config/zsh/purs.zsh
@@ -0,0 +1,13 @@
+function zle-line-init zle-keymap-select {
+ PROMPT=`$HOME/purs/target/release/purs prompt -k "$KEYMAP" -r "$?" --venv "${${VIRTUAL_ENV:t}%-*}"`
+ zle reset-prompt
+}
+zle -N zle-line-init
+zle -N zle-keymap-select
+
+autoload -Uz add-zsh-hook
+
+function _prompt_purs_precmd() {
+ /$HOME/purs/target/release/purs precmd
+}
+add-zsh-hook precmd _prompt_purs_precmd